module Stackd
  module Util
    class Portal
      def initialize parent, klass
        @parent = parent
        @klass = klass
      end

      def method_missing method, *args, &block
        @klass.public_send method, @parent, *args, &block
      end
    end
  end
end
